Bug 228489 - Review Request: hunspell-nb - Bokmaal hunspell dictionaries
Review Request: hunspell-nb - Bokmaal hunspell dictionaries
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-02-13 06:38 EST by Caolan McNamara
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-15 11:28:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2007-02-13 06:38:01 EST
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-nb.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-nb-0.20050315-1.src.rpm
Description: Bokmaal hunspell dictionaries


Similar to 227811
Comment 1 manuel wolfshant 2007-02-13 19:16:05 EST
upstreamid (and therefore version) is wrong, should be either 08-may-2006 (zip
file date) or 28-apr-2006 (date of included files)


GOOD

- package meets naming guidelines
- package meets packaging guidelines 
- spec file legible, in am. english
- source matches upstream , sha1sum 
bcc117e0b31b6284346ce7beba9149176a6492ee  nb_NO.zip
- the package builds in mock for devel/x86_64, generates a noarch (which is
consistent with the fact that basically it includes only 3 text files)
- the license GPL stated in the tag is the same as the web site and the included
documentation say; not included in the package because upstream did not include
it either
- there are only 2 files (word lists) + a short doc with instructions and
license clearance, so no need for -doc and no .la, .pc, static files
- no missing BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of other
files/dirs
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- rpmlint output is silent
- code, not content
- nothing in %doc affects runtime
- no need for .desktop file 


APPROVED but please fix the version before uploading to CVS; you should also ask
upstream to include the license in the archive
Comment 2 Caolan McNamara 2007-02-14 03:41:16 EST
updated wiki http://wiki.services.openoffice.org/wiki/Dictionaries to match .zip
date and updated
http://people.redhat.com/caolanm/hunspell/hunspell-nb-0.20060508-1.src.rpm
to match
Comment 3 Caolan McNamara 2007-02-15 11:28:38 EST
 27656 (hunspell-nb): Build on target fedora-development-extras succeeded.

Note You need to log in before you can comment on or make changes to this bug.